(set-option :produce-models true)
(set-logic QF_NRA)

(declare-fun inv_aa () Real)
(declare-fun inv_ab () Real)
(declare-fun inv_an () Real)
(declare-fun inv_a () Real)
(declare-fun inv_bb () Real)
(declare-fun inv_bn () Real)
(declare-fun inv_b () Real)
(declare-fun inv_nn () Real)
(declare-fun inv_n () Real)
(declare-fun inv_0 () Real)
(declare-fun syni1_n () Real)
(declare-fun syni1_0 () Real)
(declare-fun phi1_a () Real)
(declare-fun syn1_a () Real)
(declare-fun phi1_b () Real)
(declare-fun syn1_b () Real)
(declare-fun phi1_n () Real)
(declare-fun syn1_n () Real)
(declare-fun phi1_0 () Real)
(declare-fun syn1_0 () Real)

(assert (not (and (= 0 inv_aa) (= 0 inv_ab) (= 0 inv_an) (= 0 inv_a) (= 0 inv_bb) (= 0 inv_bn) (= 0 inv_b) (= 0 inv_nn) (= 0 inv_n) (= 0 inv_0))))
(assert (= 0 (+ inv_aa (* inv_ab syni1_n) inv_an (* inv_bb syni1_n syni1_n) (* inv_bn syni1_n) inv_nn)))
(assert (= 0 (+ inv_a (* inv_ab syni1_0) (* inv_b syni1_n) (* 2 (* inv_bb syni1_0 syni1_n)) (* inv_bn syni1_0) inv_n)))
(assert (= 0 (+ inv_0 (* inv_b syni1_0) (* inv_bb syni1_0 syni1_0))))
(assert (= 0 (* (- 1) inv_bb)))
(assert (= 0 (* (- 1) inv_bn)))
(assert (= 0 (+ (* (- 1) inv_b) 1)))
(assert (= 0 (+ (* (- 1) inv_nn) (* (- 1) 1))))
(assert (= 0 (* (- 1) inv_n)))
(assert (= 0 (* (- 1) inv_0)))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_a)) inv_aa (* inv_ab syn1_a) (* inv_bb syn1_a syn1_a))))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_b)) (* (- 1) (* inv_ab phi1_a)) (* inv_ab syn1_b) (* 2 (* inv_bb syn1_a syn1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_aa phi1_n)) (* inv_ab syn1_n) (* (- 1) (* inv_an phi1_a)) inv_an (* 2 (* inv_bb syn1_a syn1_n)) (* inv_bn syn1_a))))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_a)) inv_a (* (- 1) (* inv_aa phi1_0)) (* (- 2) inv_aa) (* inv_ab syn1_0) (* (- 1) (* inv_ab syn1_a)) (* inv_b syn1_a) (* 2 (* inv_bb syn1_0 syn1_a)))))
(assert (= 0 (+ (* (- 1) (* inv_ab phi1_b)) (* (- 1) (* inv_bb phi1_a)) (* inv_bb syn1_b syn1_b))))
(assert (= 0 (+ (* (- 1) (* inv_ab phi1_n)) (* (- 1) (* inv_an phi1_b)) (* 2 (* inv_bb syn1_b syn1_n)) (* (- 1) (* inv_bn phi1_a)) (* inv_bn syn1_b))))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_b)) (* (- 1) (* inv_ab phi1_0)) (* (- 1) (* inv_ab syn1_b)) (* (- 1) (* inv_b phi1_a)) (* inv_b syn1_b) (* 2 (* inv_bb syn1_0 syn1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_an phi1_n)) (* inv_bb syn1_n syn1_n) (* inv_bn syn1_n) (* (- 1) (* inv_nn phi1_a)) inv_nn)))
(assert (= 0 (+ (* (- 1) (* inv_a phi1_n)) (* (- 1) (* inv_ab syn1_n)) (* (- 1) (* inv_an phi1_0)) (* (- 1) inv_an) (* inv_b syn1_n) (* 2 (* inv_bb syn1_0 syn1_n)) (* inv_bn syn1_0) (* (- 1) (* inv_n phi1_a)) inv_n)))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_a)) inv_0 (* (- 1) (* inv_a phi1_0)) (* (- 1) inv_a) inv_aa (* (- 1) (* inv_ab syn1_0)) (* inv_b syn1_0) (* inv_bb syn1_0 syn1_0))))
(assert (= 0 (* (- 1) (* inv_bb phi1_b))))
(assert (= 0 (+ (* (- 1) (* inv_bb phi1_n)) (* (- 1) (* inv_bn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_b phi1_b)) (* (- 1) (* inv_bb phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_bn phi1_n)) (* (- 1) (* inv_nn phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_b phi1_n)) (* (- 1) (* inv_bn phi1_0)) (* (- 1) (* inv_n phi1_b)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_b)) (* (- 1) (* inv_b phi1_0)))))
(assert (= 0 (* (- 1) (* inv_nn phi1_n))))
(assert (= 0 (+ (* (- 1) (* inv_n phi1_n)) (* (- 1) (* inv_nn phi1_0)))))
(assert (= 0 (+ (* (- 1) (* inv_0 phi1_n)) (* (- 1) (* inv_n phi1_0)))))
(assert (= 0 (* (- 1) (* inv_0 phi1_0))))

(check-sat)
(get-model)
